Get the OEM vulnerability feed
curl --request POST \
--url https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"days": 1,
"page": 1,
"per_page": 20,
"type": "all",
"keywords": "<string>",
"source": "<string>",
"ecosystem": "<string>",
"package": "<string>",
"kev": false,
"exploit_available": false,
"query_tags": {}
}
'import requests
url = "https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed"
payload = {
"days": 1,
"page": 1,
"per_page": 20,
"type": "all",
"keywords": "<string>",
"source": "<string>",
"ecosystem": "<string>",
"package": "<string>",
"kev": False,
"exploit_available": False,
"query_tags": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
days: 1,
page: 1,
per_page: 20,
type: 'all',
keywords: '<string>',
source: '<string>',
ecosystem: '<string>',
package: '<string>',
kev: false,
exploit_available: false,
query_tags: {}
})
};
fetch('https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}OEM
Get the OEM vulnerability feed
OEM module and available OEM credits required. query_tags are recorded for audit attribution.
POST
/
oem
/
vulnerability-intelligence
/
feed
Get the OEM vulnerability feed
curl --request POST \
--url https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"days": 1,
"page": 1,
"per_page": 20,
"type": "all",
"keywords": "<string>",
"source": "<string>",
"ecosystem": "<string>",
"package": "<string>",
"kev": false,
"exploit_available": false,
"query_tags": {}
}
'import requests
url = "https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed"
payload = {
"days": 1,
"page": 1,
"per_page": 20,
"type": "all",
"keywords": "<string>",
"source": "<string>",
"ecosystem": "<string>",
"package": "<string>",
"kev": False,
"exploit_available": False,
"query_tags": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
days: 1,
page: 1,
per_page: 20,
type: 'all',
keywords: '<string>',
source: '<string>',
ecosystem: '<string>',
package: '<string>',
kev: false,
exploit_available: false,
query_tags: {}
})
};
fetch('https://fullhunt.io/api/v1/oem/vulnerability-intelligence/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
FullHunt API key from profile settings
Body
application/json
JSON request body
Lookback in days
Required range:
1 <= x <= 7Page number
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100Result type
Available options:
vulnerabilities, exploits, advisories, all Up to 20 comma-separated keywords
Severity filter
Available options:
critical, high, medium, low Advisory source
Package ecosystem
Package identifier
Require a CISA KEV match
Require known exploit evidence
Customer-defined tenant and request attribution fields
Response
Successful response
Endpoint-specific JSON response. Consult the operation and workflow guide for field semantics.
